| OptFEM2DP1 Toolbox 1.2b4 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

Functions
runBenchs.m File Reference

Run benchs for Mass (benchMass2DP1), MassW (benchMassW2DP1) Stiff (benchStiff2DP1) and StiffElas (benchStiffElas2DP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`. More...

Go to the source code of this file.

## Functions
function | runBenchs (varargin)
| Run benchs for Mass (benchMass2DP1), MassW (benchMassW2DP1) Stiff (benchStiff2DP1) and StiffElas (benchStiffElas2DP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.
function | runBenchs>BenchToLatexTabular (bench, LaTeXFilename)

## Detailed Description

Run benchs for Mass (benchMass2DP1), MassW (benchMassW2DP1) Stiff (benchStiff2DP1) and StiffElas (benchStiffElas2DP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.

Definition in file runBenchs.m.

## Function Documentation

function runBenchs>BenchToLatexTabular | ( |  | bench,
|  |  | LaTeXFilename
| ) |  |

Definition at line 136 of file runBenchs.m.

function runBenchs | ( |  | varargin | ) |

Run benchs for Mass (benchMass2DP1), MassW (benchMassW2DP1) Stiff (benchStiff2DP1) and StiffElas (benchStiffElas2DP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.

Optional parameters
  - `save` : true for saving each bench in latex files. (default false)
  - `directory` : name of the directory for saving files.
  - `name` : base name of files.
  - `LN` : List of N parameters for SquareMesh function.

Example

               runBenchs('save',true,'name','benchMatlabR2012b','LN',20:20:160)

Results under Matlab R2012b
  Here are the results on our reference machine.
  - functions MassAssembling2DP1

  - functions MassWAssembling2DP1

  - functions StiffAssembling2DP1

  - functions StiffElasAssembling2DP1

Results under Octave 3.6.3
  Here are the results on our reference machine.
  - functions MassAssembling2DP1

  - functions MassWAssembling2DP1

  - functions StiffAssembling2DP1

  - functions StiffElasAssembling2DP1

See also:
  benchMass2DP1, benchMassW2DP1, benchStiff2DP1, benchStiffElas2DP1, #InitOptFEM2DP1

Copyright
  See License issues

Parameters:

  varargin |
       runBenchs (  [ "save", save_value ] [, "directory", directory_value ]
                  [, "name", name_value ] [, "LN", LN_value ] )
  Named Parameters for varargin: save save ( Default: `false` ) directory directory ( Default: ``latex`` ) name name ( Default: ``bench`` ) LN LN ( Default: `[20:20:100]` )

Definition at line 17 of file runBenchs.m.

All Files Functions